Subject: Re: [IPP] Minutes from today's meeting

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Sat, 31 Jul 2021 03:59:36 +0000

Hi Mike,

(CC'ing the IPP Workgroup reflector back in...)

> On Jul 28, 2021, at 3:01 PM, Michael Sweet <[email-masked]> wrote:
> 
> Smith,
> 
> > On Jul 28, 2021, at 4:53 PM, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]> wrote:
> >
> > Hi Mike,
> >
> > Starting work on the next draft of Finishings 3.0. In the minutes it says:
> >
> > ⁃ Section 5.1.2:
> > ⁃ Add reference to 5100.2, should use "output-bin" to specify a 'stacker' value to get this behavior
> >
> > What does this mean? Does this pertain to the 'jog-offset' keyword?
> 
> Yes. The 'jog-offset' value should be deprecated, with a note to say that the 'stacker' values for "output-bin" should be used instead.

I remember us deciding on that. Here's what I have so far:

•	‘jog-offset’ (14): (DEPRECATED) Shift each Set from the previous one by a small amount which is device dependent. This value has no effect on the “job-sheet”. This value SHOULD NOT have an effect if each Set of the Job consists of one sheet. The "output-bin" Job Template attribute should be used instead,  specifying one of the 'stacker-NN' keywords (e.g. 'stacker-1').

But I wonder about the lack of a keyword like 'jog-offset-1' that more specifically identifies an output tray that is capable of jogging? I've not looked at that in a long time.

> 
> 
> >
> > Smith
> >
> > /**
> > Smith Kennedy
> > HP Inc.
> > */
> >
> >> On May 20, 2021, at 2:30 PM, Michael Sweet via ipp <[email-masked]> wrote:
> >>
> >> Signed PGP part
> >> All,
> >>
> >> I have posted the minutes from today's IPP workgroup conference call to:
> >>
> >> https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20210520.pdf <https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20210520.pdf>
> >>
> >> Our next conference call is on June 3, 2021 at 3pm ET.
> >>
> >> ________________________
> >> Michael Sweet
> >>
> >>
> >>
> >>
> >>
> >
> 
> ________________________
> Michael Sweet
> 
> 

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet via ipp <[email-masked]>
Date: Sat, 31 Jul 2021 09:41:52 -0400

Smith,

> On Jul 30, 2021, at 11:59 PM, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]> wrote:
> 
> Hi Mike,
> 

FWIW, PWG 5100.2-2001 says:

‘stacker-N’: The output-bin that is best identified as the stacker with values ‘stacker-1’, ‘stacker- 2’, .... A stacker is typically used to collate sheets within a single document (not to be confused with collated copies in which document copies are collated within a job - see the description of the ‘separate-documents-collated-copies’ value of the “multiple-document- handling” attribute in [RFC2911] section 4.2.4). The correspondence between the ‘stacker- N’ keyword and the actual stacker in the device is implementation-dependent, as is the number of stackers. If this group of values is supported, at least the ‘stacker-1’ value MUST be supported, unless the system administrator has assigned names.

For client implementations that require distinct keywords for each possible value, say, for localization purposes, it is recommended for interoperability with other vendor’s Printer implementations that ‘stacker-1’ to ‘stacker-10’ keywords be represented.

So basically this is one big "implementation-dependent" can-o-worms that doesn't use the words "jog" or "offset" but really means that, because how else are you going to "collate sheets" in a single output bin? :/

The "printer-output=tray" attribute (PWG 5100.13) includes the optional RFC 3805 prtOutputOffsetStacking (offsetstacking) element which will tell you whether a particular output tray provides a jog offset for each Set.  That might be something to update in NODRIVER to make it conditionally required or recommended (at least) for trays that support offset stacking - the possible values are 'other', 'on', 'off', or 'notPresent'.

________________________
Michael Sweet